﻿

$ErrorActionPreference = 'Stop'; 
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$url        = 'https://dl.google.com/go/go1.6.1.windows-386.msi' 
$url64      = 'https://dl.google.com/go/go1.6.1.windows-amd64.msi' 

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  unzipLocation = $toolsDir
  fileType      = 'msi' 
  url           = $url
  url64bit      = $url64

  softwareName  = 'golang*' 

  checksum      = 'aebc1947de9e51ff277c3b227be19d56141dd94d093f3384fb79a001a64fa6da'
  checksumType  = 'sha256' 
  checksum64    = '345322f554822176337f9fbf86fa42b6e0430412fea24cd814182f0a394687a3'
  checksumType64= 'sha256' 

  silentArgs    = "/qn /norestart /l*v `"$($env:TEMP)\$($packageName).$($env:chocolateyPackageVersion).MsiInstall.log`"" 
  validExitCodes= @(0, 3010, 1641)

}

Install-ChocolateyPackage @packageArgs 
